Subject: bug#37803: closed (Re: bug#38702: install fails with missing patch)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 May 2020 21:38:02 +0000

Your bug report

#38702: [BUG] installer does seem to know about pep8 patch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38702: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38702
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38702: install fails with missing patch
From: Marius Bakke <[email-masked]>
To: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Sat, 30 May 2020 23:37:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> I recently built an installer image from a few commits before
> 4e09f57af8ee9ac3e7bd5a7a904c4cb6d8d44d9d.  It boots fine and the
> installer works up to the actual system installation, which then aborts
> with an error indicating that the file
> python-pep8-stdlib-tokenize-compat.patch could not be found.

This was fixed back in 8f5ac03e2162b93648c255d10ebef1c2037c296e.

Subject: [BUG] installer does seem to know about pep8 patch
From: Kyle Andrews <[email-masked]>
To: [email-masked]
Date: Thu, 17 Oct 2019 22:48:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I just tried to install guix on desktop system by piggy-backing from a
disk-image created on a laptop.

I chose "Guided - using the entire disk with encryption" option.

I then selected GNOME, openbox, and ratpoison to be installed as desktop
environments. I'm not sure if that's relevant, but wanted to be thorough
in case this may be limited to a GNOME issue.

The installation errored out with the following message:

> guix system: error: python-pep8-stdlib-tokenize-compat.patch: patch not found

Thus the guix on the disk image seems to be missing the patch mentioned
in the issue below (corresponding to the python-pep8 package):

https://issues.guix.gnu.org/issue/36643